=== doc/CMakeLists.txt ===
add_subdirectory(kexi)
