=== cmake/modules/CMakeLists.txt ===
set(module_install_dir ${DATA_INSTALL_DIR}/cmake/modules)
