=== src/tests/CMakeLists.txt ===
if(BUILD_TESTING)
    if(SHOULD_BUILD_KEXI_DESKTOP_APP)
        add_subdirectory( newapi )
        add_subdirectory( migration )
    endif()
  #add_subdirectory( widgets )
  #add_subdirectory( odf )
  #add_subdirectory( mainwindow )
  add_subdirectory( sqlitetest )
endif()
