## kexi 3.0.2

=== debian/changelog ===
kexi (1:3.0.2-2) unstable; urgency=medium

  * Pass -DKEXI_QTGUI_RUNTIME_AVAILABLE=OFF to cmake, to make sure a GUI/window
    system is assumed to not be present at build time.
  * Suggest kexi-web-form-widget in kexi.

 -- Pino Toscano <pino@debian.org>  Tue, 22 Aug 2017 19:48:45 +0200

kexi (1:3.0.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #871257)
  * Small copyright update.
  * Drop all the pre-Jessie replaces/breaks.
  * Bump kdb, kpropert, and kreport build dependencies to 3.0.2, to ensure
    building against the latest versions.
  * Bump Standards-Version to 4.0.1, no changes required.
  * Add Breaks/Replaces for all the calligra-l10n packages prior to < 2.9.11-2,
    i.e. when kexi was split out of calligra (in Debian).
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Aug 2017 14:14:56 +0200

kexi (1:3.0.1.1-1) experimental; urgency=low

  * Initial release.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Jun 2017 20:10:10 +0200
