=== debian/control ===
Source: kexi
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: breeze-icon-theme-rcc,
               cmake (>= 3.0),
               debhelper (>= 9),
               default-libmysqlclient-dev,
               extra-cmake-modules (>= 1.8.0),
               libglib2.0-dev,
               libkdb3-dev (>= 3.0.2),
               libkf5archive-dev (>= 5.16.0),
               libkf5codecs-dev (>= 5.16.0),
               libkf5completion-dev (>= 5.16.0),
               libkf5config-dev (>= 5.16.0),
               libkf5configwidgets-dev (>= 5.16.0),
               libkf5coreaddons-dev (>= 5.16.0),
               libkf5crash-dev (>= 5.16.0),
               libkf5guiaddons-dev (>= 5.16.0),
               libkf5i18n-dev (>= 5.16.0),
               libkf5iconthemes-dev (>= 5.16.0),
               libkf5itemviews-dev (>= 5.16.0),
               libkf5kio-dev (>= 5.16.0),
               libkf5texteditor-dev (>= 5.16.0),
               libkf5textwidgets-dev (>= 5.16.0),
               libkf5widgetsaddons-dev (>= 5.16.0),
               libkf5xmlgui-dev (>= 5.16.0),
               libkproperty3-dev (>= 3.0.2),
               libkreport3-dev (>= 3.0.2),
               libpq-dev,
               libpqxx-dev,
               libqt5webkit5-dev (>= 5.4.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               postgresql-server-dev-all,
               qtbase5-dev (>= 5.4.0),
               qttools5-dev (>= 5.4.0),
Standards-Version: 4.0.1
Homepage: http://www.kexi-project.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/kexi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/kexi.git

Package: kexi
Architecture: any
Section: database
Depends: kexi-data (>= ${source:Version}),
         libkdb3-driver-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kexi-mysql-driver,
          kexi-postgresql-driver,
          kexi-web-form-widget,
Description: integrated database environment for the Calligra Suite
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 Kexi is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.
 .
 This package is part of the Calligra Suite.

Package: kexi-data
Architecture: all
Depends: ${misc:Depends}
Breaks: ${kexi:oldLangs}
Replaces: ${kexi:oldLangs}
Description: data files for Kexi
 This package contains architecture-independent data files for Kexi, the
 database program shipped with the Calligra Suite.
 .
 See the kexi package for further information.
 .
 This package is part of the Calligra Suite.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), libkdb3-driver-mysql, ${misc:Depends}, ${shlibs:Depends}
Description: MySQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for MySQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-postgresql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), libkdb3-driver-postgresql, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for PostgreSQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-web-form-widget
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: web form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a web widget for Kexi using QtWebKit.
 .
 This package is part of the Calligra Suite.
