=== debian/watch ===
version=4

http://download.kde.org/stable/kexi/src/kexi-([\d\.]+)\.tar\.xz
