## kexi 3.1.0

=== debian/changelog ===
kexi (1:3.1.0-4~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 29 Jan 2019 16:09:49 -0800

kexi (1:3.1.0-4) unstable; urgency=medium

  * Backport upstream commit 54b2bcfb2ff1af6e7cbf7bdd60aef3d7c50b2785 to find
    PostgreSQL 11; patch upstream_cmake-find-PostgreSQL-11.patch.
    (Closes: #912157)

 -- Pino Toscano <pino@debian.org>  Sun, 04 Nov 2018 17:14:23 +0100

kexi (1:3.1.0-3) unstable; urgency=medium

  * Update package descriptions according to the upstream feedback.
  * Stop removing unused keximigrate_spreadsheet.mo translations, as they are
    not shipped anymore.
  * Update Vcs-* fields.
  * Backport upstream commit 1578fcb4a0407cf368edb6ee4605c4ef9e77b6ed to fix
    build with Qt >= 5.11; patch
    upstream_Fix-build-with-Qt-5.11-missing-headers.patch. (Closes: #906624)
  * Backport upstream commit 12eed3a629a06fe54f52bf0a36b4c8b81f8e5156 to
    install the application icon; patch
    upstream_Install-the-application-icons.patch
    - update kexi-data.install for this
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Sep 2018 06:53:29 +0200

kexi (1:3.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Mar 2018 09:35:02 +0100

kexi (1:3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump the libkdb3-dev, libkproperty3-dev, and libkreport3-dev build
    dependencies to >= 3.1.0~.
  * Update the patches:
    - upstream_improve-.desktop-validity.patch: drop, backported from upstream
  * Update install files.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --fail-missing.
  * Switch Vcs-* fields to salsa.debian.org.

 -- Pino Toscano <pino@debian.org>  Thu, 08 Mar 2018 23:51:57 +0100

kexi (1:3.0.2-4) unstable; urgency=medium

  * Add also 'tr' to the old calligra-l10n languages. (Closes: #874419)

 -- Pino Toscano <pino@debian.org>  Wed, 13 Sep 2017 07:22:25 +0200

kexi (1:3.0.2-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Add breeze-icon-theme-rcc also as runtime dependency, since kexi refuses
    to start otherwise (sigh)...
  * Backport upstream commit 11b6265b8d14d58921edeed519f23d0e362cd7df to make
    the kexi .desktop file more valid; patch
    upstream_improve-.desktop-validity.patch.
  * Bump Standards-Version to 4.1.0, no changes required.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Sep 2017 22:59:44 +0200
